Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.jdbc
Class BatchingBatcherFactory

    java.lang.Object
      org.hibernate.jdbc.BatchingBatcherFactory

All Implemented Interfaces:
  BatcherFactory

    public class BatchingBatcherFactory

extends Object
implements BatcherFactory

A BatcherFactory implementation which constructs Batcher instances capable of actually performing batch operations.

Author:
  Gavin King

Constructor Summary
`BatchingBatcherFactory()`

Method Summary
`Batcher` | `createBatcher(ConnectionManager connectionManager, Interceptor interceptor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatchingBatcherFactory

    public BatchingBatcherFactory()

Method Detail

### createBatcher

    public Batcher createBatcher(ConnectionManager connectionManager,
                                 Interceptor interceptor)

  Specified by:
    `createBatcher` in interface `BatcherFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.